package com.bocloud.cmp.model.azure.automation;

import java.util.Date;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: AutoAccoutModel
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/8/8 14:00
 */
public class AutomationAccountModel {

    private String uuid;
    private String name;
    private String resourceGroupName;
    private String type;
    private String regionId;
    private Date gmtCreate; //创建时间 gmt_create
    private Date gmtModify; //更新时间 gmt_modify
    private String logAnalyticName;
    private String logAnalyticUuid;

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLogAnalyticName() {
        return logAnalyticName;
    }

    public void setLogAnalyticName(String logAnalyticName) {
        this.logAnalyticName = logAnalyticName;
    }

    public String getLogAnalyticUuid() {
        return logAnalyticUuid;
    }

    public void setLogAnalyticUuid(String logAnalyticUuid) {
        this.logAnalyticUuid = logAnalyticUuid;
    }

    public String getResourceGroupName() {
        return resourceGroupName;
    }

    public void setResourceGroupName(String resourceGroupName) {
        this.resourceGroupName = resourceGroupName;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}